﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr103_3
{
    // Класс с переопределением метода ToString(): 
    class MyClass
    {
        // Ссылка на массив: 
        private int[] mas;

        // Конструктор:
        public MyClass()
        {
            // Объект для генерирования случайных чисел:
            Random rnd = new Random();
            // Размерность массива 
            // (случайное число от 1 до 20)
            int size = 1 + rnd.Next(20);
            // Создание массива
            mas = new int [size];
            // Заполнение массива случайными числами
            for (int k = 0; k < mas.Length; k++)
            {
                // Значение элемента массива: 
                // Случайное число от -50 до 50
                mas[k] = -50 + rnd.Next(101);
            }
        }

        // Переопределение метода ToString(): 
        public override String ToString()
        {
            // Строка с числами массива:
            String txt = "";
            // Сумма элементов массива:
            int sum = 0;
            for (int k = 0; k < mas.Length; k++)
            {
                sum += mas[k];
                txt += (mas[k] + " ");
            }
            // Добавляем количество элементов и
            // среднее значение
            txt = txt + "\nКоличество элементов: " + mas.Length;
            txt = txt + "\nСреднее значение: " + ((double)sum / mas.Length);
            // Возврат текстового поля: 
            return txt;
        }
    }

    // Класс с главным методом программы:
    class Program
    {
        static void Main()
        {
            // Создание объекта
            MyClass A = new MyClass();
            Console.WriteLine("Объект A: {0}", A);
            // Еще один объект
            MyClass B = new MyClass();
            Console.WriteLine("\nОбъект B: {0}", B);
            // Задержка:
            Console.ReadLine();
        }
    }
}
